interface Params {
	[key: string]: any;
}
interface ApiFetch {
	get: (url: string, params?: Params, header?: Headers) => Promise<FetchResponse>;
	post: (url: string, params?: Params, header?: Headers) => Promise<FetchResponse>;
	destroy: (url: string, params?: Params, header?: Headers) => Promise<FetchResponse>;
	patch: (url: string, params?: Params, header?: Headers) => Promise<FetchResponse>;
	put: (url: string, params?: Params, header?: Headers) => Promise<FetchResponse>;
	setToken: (authToken: string) => void;
	baseURL: "/" | string;
	loading: boolean;
	token: string;
}
type FetchResponse = string | Blob | ArrayBuffer | ReadableStream<Uint8Array>;
export declare const Fetch: ApiFetch;
export {};
